Gmagick::queryfonts
Gmagick::radialblurimage
Gmagick
PHP Manual

# Gmagick::queryformats

Returns formats supported by Gmagick.

### Description

public array Gmagick::queryformats ([ string `$pattern` = "*" ] )

Returns formats supported by Gmagick.

### Parameters

`pattern`

  Specifies a pointer to a text string containing a pattern.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.